@use "sass:color";

:root {
    $light-D: rgba(255, 255, 255, 0.5);
    $light-N: #8c9eff;
    $light-L: #c0cfff;

    $dark-D: rgba(0, 0, 0, 0.6);
    $dark-N: #263238;
    $dark-L: #4f5b62;

    // Light theme
    --backgroundColor: #{$light-L};
    --menuColor: #{$light-D};
    --hoverColor: #{color.change($light-N, $alpha: 0.7)};
    --selectedColor: #{$light-N};
    --textColor: #000000;
    --fontWeight: 400;
    --letterSpacing: 0;
    @media (prefers-color-scheme: dark) {
        // Dark theme overrides
        --backgroundColor: #{$dark-L};
        --menuColor: #{$dark-D};
        --hoverColor: #{color.change($dark-N, $alpha: 0.7)};
        --selectedColor: #{$dark-N};
        --textColor: #ffffff;
        --fontWeight: 200;
        --letterSpacing: 0.01em;
    }
}
